Create SSO configuration for organization - SuperAI Flows

Create SSO configuration for organization

cURL

curl --request POST \
  --url https://flows.super.ai/api/sso \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "domains": [\n    "<string>"\n  ],\n  "attribute_mapping": {},\n  "metadata_url": "<string>",\n  "metadata_xml": "<string>",\n  "type": "saml"\n}\n' 

Python

import requests

url = "https://flows.super.ai/api/sso"

payload = {
    "domains": ["<string>"],
    "attribute_mapping": {},
    "metadata_url": "<string>",
    "metadata_xml": "<string>",
    "type": "saml"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    domains: ['<string>'],
    attribute_mapping: {},
    metadata_url: '<string>',
    metadata_xml: '<string>',
    type: 'saml'
  })
};

fetch('https://flows.super.ai/api/sso', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "sso_provider_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "attribute_mapping": {},
  "domains": ["<string>"],
  "is_active": true,
  "metadata_url": "<string>",
  "metadata_xml_hash": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}